[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'fpjson' (#fcl)

# TJSONArray.Extract

Extract an element from the array

## Declaration

Source position: fpjson.pp line 558

`public function TJSONArray.Extract(`
`Item: TJSONData`
`):TJSONData; function TJSONArray.Extract(`
`Index: Integer`
`):TJSONData;`

## Arguments

`Item` |  | Item to extract from the array

## Function result

Extracted element

## Arguments

`Index` |  | Index of item to extract from the array

## Description

Extract removes the element at position Index or the indicated element from the list, just as Delete does. In difference with Delete, it does not free the object instance. Instead, it returns the extracted element.

## See also

Delete |  | Delete an element from the list by index
Clear |  | Clear the array
Insert |  | Insert an element in the array.
Add |  | Add a JSON value to the array